//
// KUKAC jatek - szglab5 halozatok feladat
//
// (C)opyright by McRee [mcree@freemail.hu]
//

#ifndef GLOBALS_H_INCLUDED

#define PORT	55555

// because of differences in byte orders on different host machines
// these values should be converted to network byte order and vice versa
// when transmitting or receiving. I just don't care to do this. 8)
typedef struct {    
    int player;
    int x;
    int y;
    int dir;
    int action;
    int lives; // should be called 'frags' instead 8)
    int score;
    int counter;
    int disconn;
} t_players;


#define DIR_UP 3
#define DIR_DOWN -3
#define DIR_LEFT 2
#define DIR_RIGHT -2

#define ACT_GO 1
#define ACT_DIE 2
#define ACT_INV 3
#define ACT_RESPAWN 4

#define MAX_X (80-2)
#define MAX_Y (25-2)

#define INV_LENGTH 15

#define MAXPLAYERS 8
#define MAXMSG ((sizeof(t_players) * MAXPLAYERS + 1) + (MAX_X * MAX_Y * sizeof(int)))

typedef int t_level[MAX_X][MAX_Y];

#define GLOBALS_H_INCLUDED
#endif