#include <curses.h>

int main() {

    int i,x,y;
    WINDOW *win;

    win=initscr(); 
    start_color();
    
    cbreak(); noecho();
    
    nonl();
    intrflush(stdscr, FALSE);
    keypad(stdscr, TRUE);

    getmaxyx(win,y,x);
    
    mvprintw(0,10,"maxx,maxy: %i,%i",x,y);
    mvprintw(1,10,"has_colors: %i",has_colors());
    mvprintw(2,10,"can_change_color: %i",can_change_color());

    init_pair(1,COLOR_RED,COLOR_BLACK);
    init_pair(2,COLOR_YELLOW,COLOR_BLACK);
    init_pair(3,COLOR_RED,COLOR_YELLOW);
    init_pair(4,COLOR_YELLOW,COLOR_RED);
    attrset(A_BOLD);

    for(i=0;i<y;i++) {
	color_set(i,NULL);
	move(i,i);
        addch('a');    
    };

    refresh(); doupdate(); redrawwin(win);
    
    i=getch();
    mvprintw(1,14,"keypressed: %i",i);
    getch();

    delwin(win);

    endwin();

};